[or-cvs] r16282: FireGPG 0.5.1 (incognito/trunk/portage.overlay/x11-plugins/firegpg)

anonym at seul.org anonym at seul.org
Thu Jul 31 06:42:57 UTC 2008


Author: anonym
Date: 2008-07-31 02:42:56 -0400 (Thu, 31 Jul 2008)
New Revision: 16282

Added:
   incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.1.ebuild
Removed:
   incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.ebuild
Modified:
   incognito/trunk/portage.overlay/x11-plugins/firegpg/Manifest
Log:
FireGPG 0.5.1


Modified: incognito/trunk/portage.overlay/x11-plugins/firegpg/Manifest
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/firegpg/Manifest	2008-07-31 06:39:45 UTC (rev 16281)
+++ incognito/trunk/portage.overlay/x11-plugins/firegpg/Manifest	2008-07-31 06:42:56 UTC (rev 16282)
@@ -1,2 +1,2 @@
-DIST firegpg-0.5.xpi 178803 RMD160 0324619f1df5b5445735d82d79a1f7543214a71d SHA1 3b6c8f825831138dbff7b169a188b8a9c2fb5129 SHA256 e283db7fa98879098fc6b974078bf0b29b60af95e8d63f2f7cf783fce07711d5
-EBUILD firegpg-0.5.ebuild 1115 RMD160 8c8e7339e2392fb57f047242b5e156bf518af0a4 SHA1 71e3b5e336d0d92b96ee709380a4a3d2919f7017 SHA256 5ddd3d54a27119ee8c9a544af69cf60d99d88da1f9c92a16c2537ff7fc73ffa8
+DIST firegpg-0.5.1.xpi 161592 RMD160 fffd25f09e76510375e5fbe0783152f472d8a61d SHA1 2d1948d78d5475f98fec8a5fde02a393729961ca SHA256 200974fb7522977fc814e924591b0841014a66c6124b2bb55f267a7eb719e5dc
+EBUILD firegpg-0.5.1.ebuild 1115 RMD160 8c8e7339e2392fb57f047242b5e156bf518af0a4 SHA1 71e3b5e336d0d92b96ee709380a4a3d2919f7017 SHA256 5ddd3d54a27119ee8c9a544af69cf60d99d88da1f9c92a16c2537ff7fc73ffa8

Copied: incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.1.ebuild (from rev 15797, incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.ebuild)
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.1.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.1.ebuild	2008-07-31 06:42:56 UTC (rev 16282)
@@ -0,0 +1,42 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+inherit mozextension multilib
+
+DESCRIPTION="Firefox plugin to disable javascript"
+HOMEPAGE="http://noscript.net/"
+SRC_URI="http://getfiregpg.org/stable/${P}.xpi"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="|| (
+	>=www-client/mozilla-firefox-bin-1.5.0.7
+	>=www-client/mozilla-firefox-1.5.0.7
+)
+	app-crypt/gnupg"
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}
+
+src_compile() {
+        xpi_unpack "${P}.xpi"
+}
+
+src_install() {
+	declare MOZILLA_FIVE_HOME
+	if has_version '>=www-client/mozilla-firefox-1.5.0.7'; then
+		MOZILLA_FIVE_HOME="/usr/$(get_libdir)/mozilla-firefox"
+	fi
+	if has_version '>=www-client/mozilla-firefox-bin-1.5.0.7'; then
+		MOZILLA_FIVE_HOME="/opt/firefox"
+	fi
+	# xpi_install extracts the incorrect em:id from install.rdf so we
+	# install the extension manually to its correct place instead
+	cd "${S}/${P}"
+	insinto "${MOZILLA_FIVE_HOME}/extensions/firegpg at firegpg.team"
+	doins -r "${S}/${P}"/* || die "failed to copy extension"
+}

Deleted: incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.ebuild
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.ebuild	2008-07-31 06:39:45 UTC (rev 16281)
+++ incognito/trunk/portage.overlay/x11-plugins/firegpg/firegpg-0.5.ebuild	2008-07-31 06:42:56 UTC (rev 16282)
@@ -1,42 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-inherit mozextension multilib
-
-DESCRIPTION="Firefox plugin to disable javascript"
-HOMEPAGE="http://noscript.net/"
-SRC_URI="http://getfiregpg.org/stable/${P}.xpi"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-
-RDEPEND="|| (
-	>=www-client/mozilla-firefox-bin-1.5.0.7
-	>=www-client/mozilla-firefox-1.5.0.7
-)
-	app-crypt/gnupg"
-
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}
-
-src_compile() {
-        xpi_unpack "${P}.xpi"
-}
-
-src_install() {
-	declare MOZILLA_FIVE_HOME
-	if has_version '>=www-client/mozilla-firefox-1.5.0.7'; then
-		MOZILLA_FIVE_HOME="/usr/$(get_libdir)/mozilla-firefox"
-	fi
-	if has_version '>=www-client/mozilla-firefox-bin-1.5.0.7'; then
-		MOZILLA_FIVE_HOME="/opt/firefox"
-	fi
-	# xpi_install extracts the incorrect em:id from install.rdf so we
-	# install the extension manually to its correct place instead
-	cd "${S}/${P}"
-	insinto "${MOZILLA_FIVE_HOME}/extensions/firegpg at firegpg.team"
-	doins -r "${S}/${P}"/* || die "failed to copy extension"
-}



More information about the tor-commits mailing list